package org.project.entity.enemies;

import org.project.entity.Entity;

public class Vampire extends Enemy
{
    public Vampire(int hp, int mp) { super(15, 20); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 8)
        {
            super.specialAbility(target);
            target.takeDamage(10);
            this.setMp(this.getMp() - 8);
            System.out.println("The Goblin struck a powerful below 👊");
        }
    }
}
